Get Region
Retrieves a Region.
Retrieves a region with the given ID.
Request
URI
GET
https://{api_host}/cloudapi/v1/regions/{regionUrn}
COPY
Path Parameters
string
regionUrn
Required
regionUrn
Responses
200
OK
Returns
Region
of type(s)
application/json;version=9.1.0
{
"id": "string",
"name": "string",
"description": "string",
"nsxManager": {
"name": "string",
"id": "string"
},
"supervisors": [
{
"name": "string",
"id": "string"
}
],
"storagePolicies": [
"string"
],
"status": "string",
"loadBalancerType": "string",
"memoryCapacityMiB": 0,
"memoryReservationCapacityMiB": 0,
"cpuCapacityMHz": 0,
"cpuReservationCapacityMHz": 0
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/regions/{regionUrn}
Availability
Added in 9.0.0
On This Page
Regions Operations
GET
Query Regions
GET
Get Region
GET
Get Metadata
POST
Create Metadata Entry
PUT
Replace Metadata Entries
GET
Get Metadata Entry
PUT
Update Metadata Entry
DELETE
Delete Metadata Entry
GET
Get Ns Compatible Zones
GET
Query Region Guest Operating Systems
GET
Get Region Infra Policies